GDCM: gdcm::BoxRegion Class Reference

GDCM 3.2.10

Public Member Functions | Static Public Member Functions | List of all members
gdcm::BoxRegion Class Reference

Class for manipulation box region. More...

`#include <gdcmBoxRegion.h>`

Inheritance diagram for gdcm::BoxRegion:
[legend]
Collaboration diagram for gdcm::BoxRegion:
[legend]

## Public Member Functions
| BoxRegion ()
| BoxRegion (const BoxRegion &)
| copy/cstor and al.
| ~BoxRegion () override
size_t | Area () const override
| compute the area
Region * | Clone () const override
BoxRegion | ComputeBoundingBox () override
| Return the Axis-Aligned minimum bounding box for all regions.
bool | Empty () const override
| return whether this domain is empty:
unsigned int | GetXMax () const
unsigned int | GetXMin () const
| Get domain.
unsigned int | GetYMax () const
unsigned int | GetYMin () const
unsigned int | GetZMax () const
unsigned int | GetZMin () const
bool | IsValid () const override
| return whether this is valid domain
void | operator= (const BoxRegion &)
void | Print (std::ostream &os=std::cout) const override
| Print.
void | SetDomain (unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax)
| Set domain.
Public Member Functions inherited from gdcm::Region
| Region ()
virtual | ~Region ()

## Static Public Member Functions
static BoxRegion | BoundingBox (BoxRegion const &b1, BoxRegion const &b2)
| Helper class to compute the bounding box of two BoxRegion.

## Detailed Description

Class for manipulation box region.

This is a very simple implementation of the Region class. It only support 3D box type region. It assumes the 3D Box does not have a tilt Origin is as (0,0,0)

Examples
  ExtractImageRegion.cs, and ExtractImageRegionWithLUT.cs.

## Constructor & Destructor Documentation

## ◆ BoxRegion() [1/2]

gdcm::BoxRegion::BoxRegion | ( |  | ) |

Referenced by BoxRegion(), BoundingBox(), ComputeBoundingBox(), and operator=().

## ◆ ~BoxRegion()

gdcm::BoxRegion::~BoxRegion | ( |  | ) |
| override

## ◆ BoxRegion() [2/2]

gdcm::BoxRegion::BoxRegion | ( | const BoxRegion & |  | ) |

copy/cstor and al.

References BoxRegion().

## Member Function Documentation

## ◆ Area()

size_t gdcm::BoxRegion::Area | ( |  | ) | const
| overridevirtual

compute the area

Implements gdcm::Region.

## ◆ BoundingBox()

BoxRegion gdcm::BoxRegion::BoundingBox | ( | BoxRegion const & | b1,
|  | BoxRegion const & | b2 )
| static

Helper class to compute the bounding box of two BoxRegion.

References BoxRegion().

## ◆ Clone()

Region * gdcm::BoxRegion::Clone | ( |  | ) | const
| overridevirtual

Implements gdcm::Region.

References gdcm::Region::Region().

## ◆ ComputeBoundingBox()

BoxRegion gdcm::BoxRegion::ComputeBoundingBox | ( |  | ) |
| overridevirtual

Return the Axis-Aligned minimum bounding box for all regions.

Implements gdcm::Region.

References BoxRegion().

## ◆ Empty()

bool gdcm::BoxRegion::Empty | ( |  | ) | const
| overridevirtual

return whether this domain is empty:

Implements gdcm::Region.

## ◆ GetXMax()

unsigned int gdcm::BoxRegion::GetXMax | ( |  | ) | const

## ◆ GetXMin()

unsigned int gdcm::BoxRegion::GetXMin | ( |  | ) | const

Get domain.

## ◆ GetYMax()

unsigned int gdcm::BoxRegion::GetYMax | ( |  | ) | const

## ◆ GetYMin()

unsigned int gdcm::BoxRegion::GetYMin | ( |  | ) | const

## ◆ GetZMax()

unsigned int gdcm::BoxRegion::GetZMax | ( |  | ) | const

## ◆ GetZMin()

unsigned int gdcm::BoxRegion::GetZMin | ( |  | ) | const

## ◆ IsValid()

bool gdcm::BoxRegion::IsValid | ( |  | ) | const
| overridevirtual

return whether this is valid domain

Implements gdcm::Region.

## ◆ operator=()

void gdcm::BoxRegion::operator= | ( | const BoxRegion & |  | ) |

References BoxRegion().

## ◆ Print()

void gdcm::BoxRegion::Print | ( | std::ostream & | os = std::cout | ) | const
| overridevirtual

Print.

Reimplemented from gdcm::Region.

## ◆ SetDomain()

void gdcm::BoxRegion::SetDomain | ( | unsigned int | xmin,
|  | unsigned int | xmax,
|  | unsigned int | ymin,
|  | unsigned int | ymax,
|  | unsigned int | zmin,
|  | unsigned int | zmax )

Set domain.

Examples
  ExtractImageRegion.cs, and ExtractImageRegionWithLUT.cs.

The documentation for this class was generated from the following file:

- gdcmBoxRegion.h